Bug 493489 - Soundcard not working after 5.3 upgrade
Soundcard not working after 5.3 upgrade
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: alsa-lib (Show other bugs)
5.6
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jaroslav Kysela
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 18:29 EDT by Marco
Modified: 2014-01-29 04:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 04:20:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco 2009-04-01 18:29:47 EDT
Description of problem: After upgrading from Centos 5.2 rebuild to 5.3 sounds are no more audible except when using system-config-soundcard.

How reproducible: Audio or video playback using different players.
  
Actual results: No audio is heard.

Expected results: Audio playback.

Additional info: After upgrading from 5.2 to 5.3 I installed the Nvidia driver for my video card.
Comment 1 Martin Stransky 2009-04-02 06:45:38 EDT
Do you hear sound from system-config-soundcard test?
Comment 2 Marco 2009-04-02 08:43:55 EDT
Yes, that is the only playback working.
Comment 3 Martin Stransky 2009-04-02 09:32:45 EDT
Then it's some problem with configuration rather than general sound failure...you may check the affected applications.
Comment 4 Marco 2009-04-02 12:30:09 EDT
That was my thought too, but I tried many different applications and browsers.
Aplay too doesn't work if launched from CLI, the system-config-soundcard is the only application that can reproduce a sound (the test wave file).

I think something changed during the upgrade from 5.2 to 5.3 becuase that is the only (except nvidia driver post installation) operation I made between the working and not working condition.

Any idea?

Thanks.
Comment 5 Marco 2009-04-02 13:45:20 EDT
I checked with alsamixer and found all the parameters set to zero, modifing them obtained no results (the only sound working was still the test wave from system-config-soundcard).

After executing the command alsaunmute -0 I can hear all sounds.

There's probably something muting the card (why does it play the test wave?) during the upgrade from CentOS-5.2 to CentOS-5.3.

Thanks.
Comment 6 Marco 2009-04-03 08:31:30 EDT
And it mutes after every reboot.
Comment 7 Marco 2009-05-06 13:41:28 EDT
Linking to the bug filed on Centos:

http://bugs.centos.org/view.php?id=3470
Comment 8 Marco 2011-04-10 14:01:14 EDT
Hi,

after upgrading to 5.6 I cannot hear any sound.

I updated the CentOS bug uploading a couple of log files from system-config-soundcard.

Can anyone have a look at this?

Thanks.
Comment 9 Martin Stransky 2011-10-21 10:08:07 EDT
Moved to alsa-libs, it should set some reasonable default value.
Comment 10 Jaroslav Kysela 2014-01-29 04:20:27 EST
Closing, but if the problem persists with the latest RHEL5 release, reopen and attach output from 'alsa-info.sh --no-upload'.

Note You need to log in before you can comment on or make changes to this bug.